Quassel IRC - Bug #1164

Quit messages not stripping out newlines
05/13/2012 05:32 PM - rikai

Status: Resolved Start date: 05/13/2012
Priority: Normal Due date:

Assignee: % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: 0.9.0

Version: 0.7.3 0S: Any
Description

When pasting text into the quit message field of the identity settings (maybe elsewhere, but dunno), newlines are preserved but
invisible and WILL affect it. (aka quit messages will cut off in execution at the first newline)

History

#1 - 09/25/2012 08:13 AM - Anonymous

- Target version set to Some future release

Even better, rather than being cut off, anything after the newline is regarded as a new command. Technically affects all fields that are used directly for
irc stuff, but as the 'reason’ fields are the only ones that make sense to paste long texts into, i only stripped these.

MR 147

#2 - 02/20/2013 07:56 PM - Anonymous
- Status changed from New to Resolved

- Target version changed from Some future release to 0.9.0

Merged in c4f9¢122f56d2c58296¢6a8663{79d605b033ae2
